Subject: Re: proftpd on cygwin
From: Steven Woody <[email-masked]>
To: [email-masked]
Date: Mon, 24 Nov 2003 13:15:32 +0800

Jason Tishler <[email-masked]> writes:

> Steven,
>
> On Sun, Nov 23, 2003 at 05:18:14PM +0800, Steven Woody wrote:
>> any ideal?
>
> Read the README?
>
>     http://www.tishler.net/jason/software/proftpd/proftpd-1.2.9.README
>
> Jason
>
> -- 
> PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
> Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6
>

Thanks for your information. After install the windows services, now I
can start a proftpd daemon.  But I have still not managed to login in a
user.

First, I tried login in as my currenty windows user, say Administrators,
but get following error:

  Could not read reply from control connection: Connection reset by
  peerSleeping 19 seconds...

Then, I go to try the anonymous after create a 'ftp' user in windows,
then create a UserPassword entry in the configuration, this time I get:

  Could not open host localhost: username and/or password was not
  accepted for login.

below is my proftpd.conf, could you help me to write a right one?

--8<--cut--
ServerName			"ProFTPD Default Installation"
ServerType			standalone
DefaultServer			on

Port				21

Umask				022

MaxInstances			30

User				SYSTEM
Group				Administrators

UserPassword        SYSTEM      pVXVObGMJ4MxQ

<Directory />
  AllowOverwrite		on
</Directory>

<Anonymous ~ftp>
  User				ftp
  Group				ftp

  UserPassword      ftp o.6Sls5kJvk0U
  UserAlias			anonymous ftp
  MaxClients			10

  DisplayLogin			welcome.msg
  DisplayFirstChdir		.message

  <Limit WRITE>
    DenyAll
  </Limit>
</Anonymous>
--8<--cut--

-- 
Steven Woody
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/